Page MenuHomePhabricator

[pstl] Make the default backend be the serial backend and always provide parallel policies
ClosedPublic

Authored by ldionne on Mar 25 2019, 12:20 PM.

Details

Summary

Before this change, the default backend was TBB but one could disable
anything related to TBB by removing the parallel policies. This change
uses the serial backend by default and removes the ability to disable
parallel policies, which is not useful anymore.

Diff Detail

Repository
rL LLVM

Event Timeline

ldionne created this revision.Mar 25 2019, 12:20 PM
ldionne updated this revision to Diff 195797.Apr 18 2019, 11:57 AM

Rebase onto master

Herald added a project: Restricted Project. · View Herald TranscriptApr 18 2019, 11:57 AM

Is there still a reason to maintain the _PSTL_USE_PAR_POLICIES configuration? If not, we should move forward with this patch. I know @rodgert has been bitten by this at least a couple of times.

rodgert accepted this revision.Apr 23 2019, 9:32 AM

I am good with this change

This revision is now accepted and ready to land.Apr 23 2019, 9:32 AM
MikeDvorskiy accepted this revision.Apr 23 2019, 11:31 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptApr 24 2019, 1:10 PM